ODAMEX(6)

NAME
odamex - Source port of Doom engine, with client/server multiplayer.

SYNOPSIS
odamex [options...]

odasrv [options...]

odalaunch

DESCRIPTION
Odamex (Online Doom Multiplayer Experience) is a modification of DOOM to allow players to compete with each other over the Internet using a client/server architecture.

odamex is the client, also used for single-player games.

odasrv is the dedicated server (which runs in a tty).

odalaunch is the server browser, used for finding multiplayer games on the 'net. It launches odamex with appropriate arguments.

odamex is a source port of the Doom engine. It requires the data (aka WAD) file from one or more of the supported games. See WAD FILES, below, for a full explanation.

OPTIONS
Most of these options apply to both odamex and odasrv, the exceptions being that odasrv doesn't accept options related to graphics or sound, since it's just a console application.

odalaunch takes no command-line options.

  File Options

-iwad <wadfile>
    The IWAD file to use (in other words, which game to play). The filename extension .wad or .WAD is not required, and the name is case-insensitive. See WAD FILES, below, for more information.

-waddir <dir[:dir]...>
    Colon-separated list of directories to search for WAD files, including the IWAD. See WAD FILES, below, for more information.

-file <wadfile>
    Add a PWAD (patch WAD). Used for custom levels, music, etc. Does NOT work if using the shareware IWAD (doom1.wad).

-config <configfile>
    Use configfile instead of the default config file (which is ~/.odamex/odamex.cfg).

-confile <scriptfile>
    Execute the console commands in scriptfile at startup.

-deh <dehacked-file>
    Load a .deh file. Used for game mods.

-bex <bex-file>
    Load a .bex file. Used for game mods.

  Game Options

-warp <level>
    Skip the intro, start the game at the given level. For Doom I and its variants, the level is given as a 2-digit number (episode and map, e.g. 21 for episode 2, map 1). For Doom II and variants, the level is just the level number.

-nomonsters
    Self-explanatory. Usually used for multiplayer deathmatch games.

-timer <minutes>
    Force levels to end after specified number of minutes.

-avg
    "Austin Virtual Gaming" mode, equivalent to -timer 20.

-fast
    Fast monster mode (similar to "Nightmare" difficulty level).

-respawn
    Monsters respawn after being killed (similar to "Nightmare" difficulty level).

-skill <skill-level>
    Set skill level (useful with -warp). Level is a number from 1 to 5, where 1 is "I'm Too Young To Die" and 5 is "Nightmare".

  Video/Audio Options

-width <pixels>, -height <pixels>
    Set video mode.

-novideo, -nosound, -nomusic, -nomouse
    Disable various features.

  Network Options

-port <port>
    Set the UDP port to use for netplay. Default is 10667.

-connect <server>
    Connect to netplay server server on startup.

-maxclients <count>
    Set maximum number of allowed clients for dedicated server.

  Demo Options

-record <demoname>
    Record a single-player demo.

-playdemo <demoname>
    Play a previously-recorded single-player demo.

-netrecord <demoname>
    Record a network demo.

-netplay <demoname>
    Play a previously-recorded network demo.

  Undocumented Options
These options were found by grepping the source code, and may change or disappear in future releases.

-heapsize <size>
    Set the heap size. Vestigial option left over from DOS Doom, probably not very useful on modern systems.

-devparm
    Run game in "developer" mode: Saves screenshots instead of showing the help menu when F1 is pressed, shows "tics-per-frame" meter during play.

-blockmap
    Generate new blockmaps from level data, instead of using the blockmaps loaded from .wad files. Allows playing levels with missing or bogus blockmaps. There's no way to save the generated blockmaps.

-stepmode
    Used by the self-test scripts shipped with the odamex source, allows a shell script to run multiple instances of odamex/odasrv one "step" at a time.

-bits <depth>
    Set the bit depth. Actually the only supported value is 32, which has the same effect as setting the vid_32pp cvar to 1. Any other value sets vid_32pp to 0.

-fork [<pidfile>]
    odasrv only: fork and become a daemon, writing the server's PID to <pidfile> (or ./doomsv.pid if not given).

WAD FILES
odamex (and Doom-related games in general) load all game resources such as graphics, sound, and levels from a file known as an IWAD file. odamex supports the following IWAD files:

doom2f.wad, doom2.wad
    Doom II v1.9

doom2bfg.wad
    Doom II BFG Edition (Steam)

plutonia.wad
    Final Doom: The Plutonia Experiment v1.9

tnt.wad
    Final Doom: TNT Evilution v1.9

doomu.wad, doom.wad
    Ultimate Doom v1.9

doombfg.wad
    Doom BFG Edition (Steam)

doom1.wad
    Shareware Doom v1.9

freedoom1.wad, freedoomu.wad, freedoom2.wad, freedoom.wad, freedm.wad
    FreeDoom v0.6.4 or newer

chex.wad
    Chex Quest

There is no support for games based on modified Doom engines, such as Heretic, Hexen, or Strife. IWAD files not in the above list, such as older versions of Doom, Doom II, or FreeDoom, may or may not work. "Total Conversions" such as HackX and Harmony are less likely to work. Chex Quest 3 is known not to work.

If no -iwad argument is given, odamex looks for each IWAD file in the order listed above, and uses the first one found. If -iwad is given, odamex looks only for the named IWAD file. In either case, the WAD filenames can be in all-lowercase or all-uppercase.

If doom2bfg.wad is loaded, odamex also attempts to load nerve.wad, which contains the "No Rest For The Living" expansion episode.

odamex also requires the file odamex.wad, which is part of odamex and is installed with it. This file must be found at runtime, or the application will abort.

When searching for WAD files (odamex.wad, the IWAD, or a PWAD for the -file option), odamex searches the following directories, in order:

-   The current directory.

-   The argument of the -waddir option, if given.

-   The path(s) listed in the DOOMWADDIR environment variable.

-   The path(s) listed in the DOOMWADPATH environment variable.

-   The user's home directory.

-   The hard-coded path /usr/share/games/doom.

-   The hard-coded path /usr/local/share/games/doom.

-   The hard-coded path /usr/local/share/doom.

-   The contents of the waddirs cvar (console variable).

The -waddir option, the waddirs cvar, DOOMWADDIR, and DOOMWADPATH are colon-separated lists of directories.

OTHER FILES

~/.odamex/
    Config file odamex.cfg is located here. Will be created if it doesn't already exist. Also, saved games and recorded demos are stored here. Screenshots are created in the current directory from which odamex was run.

ENVIRONMENT

DOOMWADDIR, DOOMWADPATH
    Colon-separated lists of directories to search for WAD files.

HOME
    WAD files are also searched for here.

SDL_VIDEODRIVER, SDL_AUDIODRIVER
    See the SDL documentation for use of these.

AUTHORS
Dean "deathz0r" Joseph

Alex "AlexMax" Mayfield

Ralph "Ralphis" Vickers

This man page written by B. Watson for the SlackBuilds.org project, but it may be freely used by anyone for any purpose.